create_project -force -part $::env(XRAY_PART) design design

read_verilog top_bit.v
synth_design -top top
write_checkpoint -force design_pre_force.dcp
source top_bit.v.tcl

create_clock -period 10.000 -name clk -waveform {0.000 5.000} [get_ports clk]

set_property CFGBVS VCCO [current_design]
set_property CONFIG_VOLTAGE 3.3 [current_design]
set_property BITSTREAM.GENERAL.PERFRAMECRC YES [current_design]
set_property IS_ENABLED 0 [get_drc_checks {LUTLP-1}]

write_checkpoint -force design_pre_place.dcp
place_design
route_design

write_checkpoint -force design.dcp
write_bitstream -force design.bit
save_project_as -force design.xpr
